using System;

class Program
{
    static void Main()
    {
        string unos = Console.ReadLine();
        string[] s = unos.Split(' ');
        int n = int.Parse(s[0]);
        int h = int.Parse(s[1]);
        string unosNiza = Console.ReadLine();
        string[] niz = unosNiza.Split(' ');
        int[] a = new int[n];
        int b = 0;
        for (int i = 0; i < n; i++)
        {
            a[i] = int.Parse(niz[i]);
            if (a[i] <= h)
            {
                b = i+1;
                break;
            }
                
        }
        if (b > 0)
            Console.WriteLine(b);
        else
            Console.WriteLine(-1);
        
        
    }
}